# RegionImp Class Reference

`#include <RTItypesImp.hh>`

Inheritance diagram for RegionImp:

[legend]

List of all members.

## Public Member Functions
| RegionImp (RegionHandle, SpaceHandle, const std::vector< Extent > &)
virtual | ~RegionImp ()
virtual ULong | getRangeLowerBound (ExtentIndex, DimensionHandle) const throw (RTI::ArrayIndexOutOfBounds)
virtual ULong | getRangeUpperBound (ExtentIndex, DimensionHandle) const throw (RTI::ArrayIndexOutOfBounds)
virtual void | setRangeLowerBound (ExtentIndex, DimensionHandle, ULong) throw (RTI::ArrayIndexOutOfBounds)
virtual void | setRangeUpperBound (ExtentIndex, DimensionHandle, ULong) throw (RTI::ArrayIndexOutOfBounds)
virtual SpaceHandle | getSpaceHandle () const throw ()
virtual ULong | getNumberOfExtents () const throw ()
virtual ULong | getRangeLowerBoundNotificationLimit (ExtentIndex, DimensionHandle) const throw (RTI::ArrayIndexOutOfBounds)
virtual ULong | getRangeUpperBoundNotificationLimit (ExtentIndex, DimensionHandle) const throw (RTI::ArrayIndexOutOfBounds)
## Private Attributes
RegionHandle | handle
SpaceHandle | space
std::vector< Extent > | extents
std::vector< Extent > | coExtents

## Detailed Description

Definition at line 228 of file RTItypesImp.hh.

## Constructor & Destructor Documentation

RegionImp | ( | RegionHandle | h,
|  | SpaceHandle | s,
|  | const std::vector< Extent > & | ext |
| ) |  |  |

Definition at line 466 of file RTItypesImp.cc.

~RegionImp | ( |  | ) | `[virtual]`

Definition at line 471 of file RTItypesImp.cc.

## Member Function Documentation

ULong getRangeLowerBound | ( | ExtentIndex | index,
|  | DimensionHandle | dimension |
| ) |  |  | const throw (RTI::ArrayIndexOutOfBounds)`[virtual]`

Implements RTI::Region.

Definition at line 475 of file RTItypesImp.cc.

References RegionImp::extents.

Referenced by RegionImp::getRangeLowerBoundNotificationLimit().

ULong getRangeUpperBound | ( | ExtentIndex | index,
|  | DimensionHandle | dimension |
| ) |  |  | const throw (RTI::ArrayIndexOutOfBounds)`[virtual]`

Implements RTI::Region.

Definition at line 484 of file RTItypesImp.cc.

References RegionImp::extents.

Referenced by RegionImp::getRangeUpperBoundNotificationLimit().

void setRangeLowerBound | ( | ExtentIndex | index,
|  | DimensionHandle | dimension,
|  | ULong | val |
| ) |  |  | throw (RTI::ArrayIndexOutOfBounds)`[virtual]`

Implements RTI::Region.

Definition at line 493 of file RTItypesImp.cc.

References RegionImp::extents.

void setRangeUpperBound | ( | ExtentIndex | index,
|  | DimensionHandle | dimension,
|  | ULong | val |
| ) |  |  | throw (RTI::ArrayIndexOutOfBounds)`[virtual]`

Implements RTI::Region.

Definition at line 502 of file RTItypesImp.cc.

References RegionImp::extents.

SpaceHandle getSpaceHandle | ( |  | ) | const throw ()`[virtual]`

Implements RTI::Region.

Definition at line 511 of file RTItypesImp.cc.

References RegionImp::space.

ULong getNumberOfExtents | ( |  | ) | const throw ()`[virtual]`

Implements RTI::Region.

Definition at line 517 of file RTItypesImp.cc.

References RegionImp::coExtents.

ULong getRangeLowerBoundNotificationLimit | ( | ExtentIndex | index,
|  | DimensionHandle | dimension |
| ) |  |  | const throw (RTI::ArrayIndexOutOfBounds)`[virtual]`

Implements RTI::Region.

Definition at line 523 of file RTItypesImp.cc.

References RegionImp::coExtents, and RegionImp::getRangeLowerBound().

Here is the call graph for this function:

ULong getRangeUpperBoundNotificationLimit | ( | ExtentIndex | index,
|  | DimensionHandle | dimension |
| ) |  |  | const throw (RTI::ArrayIndexOutOfBounds)`[virtual]`

Implements RTI::Region.

Definition at line 532 of file RTItypesImp.cc.

References RegionImp::coExtents, and RegionImp::getRangeUpperBound().

Here is the call graph for this function:

## Member Data Documentation

RegionHandle handle`[private]`

Definition at line 259 of file RTItypesImp.hh.

SpaceHandle space`[private]`

Definition at line 260 of file RTItypesImp.hh.

Referenced by RegionImp::getSpaceHandle().

std::vector<Extent> extents`[private]`

Definition at line 261 of file RTItypesImp.hh.

Referenced by RegionImp::getRangeLowerBound(), RegionImp::getRangeUpperBound(), RegionImp::setRangeLowerBound(), and RegionImp::setRangeUpperBound().

std::vector<Extent> coExtents`[private]`

Definition at line 263 of file RTItypesImp.hh.

Referenced by RegionImp::getNumberOfExtents(), RegionImp::getRangeLowerBoundNotificationLimit(), and RegionImp::getRangeUpperBoundNotificationLimit().

The documentation for this class was generated from the following files:

- RTItypesImp.hh
- RTItypesImp.cc